API Reference

List posts

GET
/api/v1/posts

Authorization

ApiKeyAuth
x-api-key<token>

API keys are created in Settings → API Keys within your workspace.

In: header

Query Parameters

page?integer
Default1
limit?integer
Default20
Rangevalue <= 100
status?string
Value in"draft" | "scheduled" | "published" | "partially_failed" | "failed"
type?string
Value in"text" | "image" | "video"

Response Body

application/json

curl -X GET "https://example.com/api/v1/posts"
{
  "posts": [
    {
      "id": "post_abc",
      "type": "text",
      "content": "string",
      "status": "draft",
      "scheduledAt": "2019-08-24T14:15:22Z",
      "publishedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "mediaCount": 2,
      "accountCount": 2,
      "accounts": [
        {
          "id": "string",
          "platform": "string",
          "username": "string",
          "displayName": "string",
          "status": "string",
          "platformPostUrl": "string",
          "error": "string"
        }
      ]
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "hasMore": true
  }
}